﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Algorithms;

namespace OpcLabs.BaseLibFactory.Algorithms
{
    static public class PeriodicResolverParametersInstances
    {
        [NotNull]
        static public PeriodicResolverParameters Instance1 => new PeriodicResolverParameters
        {
            FailureRetrialDelay = 11,
            MaximumWaitDelay = 22,
            SuccessRetrialDelay = 33
        };
    }
}
