﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents.AddressSpace;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents.AddressSpace
{
    static public class AECategoryElementInstances
    {
        [NotNull]
        static public AECategoryElement Instance0 => new AECategoryElement();

        [NotNull]
        static public AECategoryElement Instance1
        {
            get
            {
                var aeCategoryElement = new AECategoryElement(123456789, "testDesc",
                    AEConditionElementCollectionInstances.Instance1, AEAttributeElementCollectionInstances.Instance1);
                return aeCategoryElement;
            }
        }
    }
}
