﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess;
using OpcLabs.EasyOpc.DataAccess.Connectivity;

namespace OpcLabs.EasyOpcFactory.DataAccess.Connectivity
{
    static public class DAItemPointReadParametersInstances
    {
        [NotNull]
        static public DAItemPointReadParameters Instance1
        {
            get
            {
                var itemPointReadParameters = new DAItemPointReadParameters
                {
                    DataSource = DADataSource.Cache,
                    ValueAge = 111,
                    ValueOnly = true
                };
                return itemPointReadParameters;
            }
        }

        [NotNull]
        static public DAItemPointReadParameters Instance2
        {
            get
            {
                var itemPointReadParameters = new DAItemPointReadParameters
                {
                    DataSource = DADataSource.Device,
                    ValueAge = 112,
                    ValueOnly = false
                };
                return itemPointReadParameters;
            }
        }
    }
}
