﻿
using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpc.UA;

namespace OpcLabs.EasyOpcTest.UA
{
    public partial class EasyUAClientTest
    {
        #region Test Methods
        // ReSharper disable InconsistentNaming

        [ExpectedException(typeof(InvalidOperationException))]
        [TestCategory("OpcUA")]
        [TestMethod]
        public void PullDataChangeNotificationTest_ZeroCapacity()
        {
            var client = new EasyUAClient();
            client.PullDataChangeNotification(millisecondsTimeout: 2000);
        }

        [ExpectedException(typeof(InvalidOperationException))]
        [TestCategory("OpcUA")]
        [TestCategory("UAAlarmsAndConditions")]
        [TestMethod]
        public void PullEventNotificationTest_ZeroCapacity()
        {
            var client = new EasyUAClient();
            client.PullEventNotification(millisecondsTimeout: 2000);
        }

        // ReSharper restore InconsistentNaming
        #endregion
    }
}
