﻿
using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.Application;
using OpcLabs.EasyOpc.UA.Plugins.ComplexData;
using OpcLabs.UnitTestLib;

namespace OpcLabs.EasyOpcTest.UA
{
    partial class EasyUAClientTest
    {
        #region Test Methods

        [TestCategory("OpcUA")]
        [TestMethod]
        public void GetServiceTest_IDisposable()
        {
            TestSection.Arrange();
            IServiceProviderTest.GetServiceTest(new EasyUAClient(), typeof(IDisposable));
        }

        [TestCategory("OpcUA")]
        [TestMethod]
        public void GetServiceTest_IEasyUAClient()
        {
            TestSection.Arrange();
            IServiceProviderTest.GetServiceTest(new EasyUAClient(), typeof(IEasyUAClient));
        }

        [TestCategory("OpcUA")]
        [TestMethod]
        public void GetServiceTest_IEasyUAClientApplication()
        {
            TestSection.Arrange();
            IServiceProviderTest.GetServiceTest(new EasyUAClient(), typeof(IEasyUAClientApplication));
        }

        [TestCategory("OpcUA")]
        [TestMethod]
        public void GetServiceTest_IEasyUAClientComplexData()
        {
            TestSection.Arrange();
            IServiceProviderTest.GetServiceTest(new EasyUAClient(), typeof(IEasyUAClientComplexData));
        }

        //[TestCategory("OpcUA")]
        //[TestMethod]
        //public void GetServiceTest_IEasyUAClientDequeuing()
        //{
        //    TestSection.Arrange();
        //    IServiceProviderTest.GetServiceTest(new EasyUAClient(), typeof(IEasyUAClientDequeuing));
        //}

        [TestCategory("OpcUA")]
        [TestMethod]
        public void GetServiceTest_IEasyUAClientSettings()
        {
            TestSection.Arrange();
            IServiceProviderTest.GetServiceTest(new EasyUAClient(), typeof(IEasyUAClientSettings));
        }

        [TestCategory("OpcUA")]
        [TestMethod]
        public void GetServiceTest_ILicenseInfoProvider()
        {
            TestSection.Arrange();
            IServiceProviderTest.GetServiceTest(new EasyUAClient(), typeof(ILicenseInfoProvider));
        }

        //[TestCategory("OpcUA")]
        //[TestMethod]
        //public void GetServiceTest_Negative_IEasyUAClientProvider()
        //{
        //    TestSection.Arrange();
        //    IServiceProviderTest.GetServiceTest_Negative(new EasyUAClient(), typeof(IEasyUAClientProvider));
        //}

        #endregion
    }
}
