﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Components;

namespace OpcLabs.BaseLibFactory.Components
{
    static public class LinearConverterInstances
    {
        [NotNull]
        static public LinearConverter Instance0 => new LinearConverter();

        [NotNull]
        static public LinearConverter Instance1 => new LinearConverter(1.0, 2.0, 3.0, 4.0);

        [NotNull]
        static public LinearConverter Instance2 => 
            new LinearConverter(
                1.0, 2.0, 3.0, 4.0, 
                OffLimitBehavior.Error, OffLimitBehavior.Clamp, OffLimitBehavior.Clamp, OffLimitBehavior.Error);
    }
}
