﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.Reactive;

namespace OpcLabs.EasyOpcFactory.DataAccess.Reactive
{
    static public class DAReactiveInstances
    {
        [NotNull]
        static public DAReactive Instance0 => new DAReactive();

        [NotNull]
        static public DAReactive Instance1 => new DAReactive(EasyDAClientSelectorInstances.Instance1);
    }
}
