﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess;

namespace OpcLabs.EasyOpcFactory.DataAccess
{
    static public class DANodeDescriptorInstances
    {
        [NotNull]
        static public DANodeDescriptor Instance1 => new DANodeDescriptor("branch1.item1");

        [NotNull]
        static public DANodeDescriptor Instance2 => new DANodeDescriptor("branch1.item1", "/branch1/item1");

        [NotNull]
        static public DANodeDescriptor Instance3 => new DANodeDescriptor("testNodePath", "branch1.item1", "/branch1/item1");
    }
}
