﻿
using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Discovery;

namespace OpcLabs.EasyOpcFactory.UA.Discovery
{
    static public class UALocalEndpointDiscoveryQueryInstances
    {
        [NotNull]
        static public UALocalEndpointDiscoveryQuery Instance0 => new UALocalEndpointDiscoveryQuery();

        [NotNull]
        static public UALocalEndpointDiscoveryQuery Instance1 => new UALocalEndpointDiscoveryQuery("testDiscoveryUri1");

        [NotNull]
        static public UALocalEndpointDiscoveryQuery Instance2 => new UALocalEndpointDiscoveryQuery(new [] {"testDiscoveryUri2.1", "testDiscoveryUri2.1" });

        [NotNull]
        static public UALocalEndpointDiscoveryQuery Instance3 => new UALocalEndpointDiscoveryQuery(
            new[] { "testDiscoveryUri2.1", "testDiscoveryUri2.1" },
            new[] { "transport1", "transport2" });

        [NotNull]
        static public UALocalEndpointDiscoveryQuery Instance4 => new UALocalEndpointDiscoveryQuery(
                new[] {"testDiscoveryUri2.1", "testDiscoveryUri2.1"},
                new[] {"transport1", "transport2"})
            {MatchDiscoveryUriSchemes = true};
    }
}
