﻿using JetBrains.Annotations;
using OpcLabs.BaseLibFactory.OperationModel;
using OpcLabs.EasyOpc.UA.OperationModel;

namespace OpcLabs.EasyOpcFactory.UA.OperationModel
{
    static public class EasyUASubscriptionChangeArgumentsInstances
    {
        [NotNull]
        static public EasyUASubscriptionChangeArguments Instance0 => new EasyUASubscriptionChangeArguments();

        [NotNull]
        static public EasyUASubscriptionChangeArguments Instance1 => new EasyUASubscriptionChangeArguments(HandleArgumentsInstances.Instance1);

        [NotNull]
        static public EasyUASubscriptionChangeArguments Instance2 => new EasyUASubscriptionChangeArguments(HandleArgumentsInstances.Instance1)
        {
            MonitoringParameters = UAMonitoringParametersInstances.Instance1,
            SubscriptionParameters = UASubscriptionParametersInstances.Instance1
        };

        [NotNull]
        static public EasyUASubscriptionChangeArguments Instance3 => new EasyUASubscriptionChangeArguments(HandleArgumentsInstances.Instance1)
        {
            MonitoringParameters = UAMonitoringParametersInstances.Instance2,
            SubscriptionParameters = UASubscriptionParametersInstances.Instance1,
            AutoConditionRefresh = false
        };
    }
}
