﻿using JetBrains.Annotations;
using OpcLabs.BaseLibFactory.Algorithms;
using OpcLabs.EasyOpc.UA.PubSub.Engine;

namespace OpcLabs.EasyOpcFactory.UA.PubSub.Engine
{
    static public class EasyUAPubSubResolverParametersInstances
    {
        [NotNull]
        static public EasyUAPubSubResolverParameters Instance1 => new EasyUAPubSubResolverParameters
        {
            ClientSelector = EasyUAClientSelectorInstances.Instance1,
            ConfigurationResolutionParameters = UAPublisherConfigurationResolutionParametersInstances.Instance1,
            PeriodicResolverParameters = PeriodicResolverParametersInstances.Instance1
        };
    }
}
