﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.AlarmsAndConditions;
using OpcLabs.EasyOpcFactory.UA.Filtering;

namespace OpcLabs.EasyOpcFactory.UA
{
    static public class UAEventFilterInstances
    {
        [NotNull]
        static public UAEventFilter Instance1 => new UAEventFilter(
            UAEventFilter.DefaultWhereClause, 
            UABaseEventObject.AllFields);

        [NotNull]
        static public UAEventFilter Instance2 => new UAEventFilter(
            UAContentFilterElementInstances.Instance1, 
            UAEventFilter.DefaultSelectClauses);

        [NotNull]
        static public UAEventFilter Instance3 => new UAEventFilter(
            UAContentFilterElementInstances.Instance2,
            UABaseEventObject.AllFields);
    }
}
